import { ControlExtraConfiguration, ProjectTemplate } from "@igniteui/cli-core";
export declare class BaseIgrTsProject implements ProjectTemplate {
    id: string;
    name: string;
    description: string;
    framework: string;
    projectType: string;
    dependencies: string[];
    hasExtraConfiguration: boolean;
    delimiters: import("@igniteui/cli-core").TemplateDelimiters;
    get templatePaths(): string[];
    generateConfig(name: string, theme: string, ...options: any[]): {
        [key: string]: any;
    };
    installModules(): void;
    upgradeIgniteUIPackages(projectPath: string, packagePath: string): Promise<boolean>;
    getExtraConfiguration(): ControlExtraConfiguration[];
    setExtraConfiguration(extraConfigKeys: {}): void;
    protected getVariablesConfig(name: string, theme: string): {
        name: string;
        theme: string;
        cliVersion: string;
        "dash-name": string;
        description: string;
        dot: string;
        path: string;
        projectTemplate: string;
        yamlDefaultBranch: string;
    };
}
